From 74597c001f53f9e576846d49a410dfd5ec7e1523 Mon Sep 17 00:00:00 2001
From: Jelte Fennema-Nio <jelte.fennema@microsoft.com>
Date: Thu, 15 Feb 2024 10:15:08 +0100
Subject: [PATCH v3 2/5] Require final newline in .po files

There were only two .po files that did not have this, this makes those
consistent.
---
 .gitattributes                   | 2 +-
 src/bin/pg_checksums/po/zh_CN.po | 2 +-
 src/bin/pg_waldump/po/zh_CN.po   | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/.gitattributes b/.gitattributes
index e9ff4a56bd2..f68e063547e 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -2,7 +2,7 @@
 *.[chly]	whitespace=space-before-tab,trailing-space,indent-with-non-tab,tabwidth=4
 *.pl		whitespace=space-before-tab,trailing-space,tabwidth=4
 *.pm		whitespace=space-before-tab,trailing-space,tabwidth=4
-*.po		whitespace=space-before-tab,trailing-space,tab-in-indent,-blank-at-eof
+*.po		whitespace=space-before-tab,trailing-space,tab-in-indent
 *.sgml		whitespace=space-before-tab,trailing-space,tab-in-indent
 *.x[ms]l	whitespace=space-before-tab,trailing-space,tab-in-indent
 
diff --git a/src/bin/pg_checksums/po/zh_CN.po b/src/bin/pg_checksums/po/zh_CN.po
index 012872b87aa..3eed56f18b4 100644
--- a/src/bin/pg_checksums/po/zh_CN.po
+++ b/src/bin/pg_checksums/po/zh_CN.po
@@ -305,4 +305,4 @@ msgstr "群集中启用的校验和\n"
 #: pg_checksums.c:669
 #, c-format
 msgid "Checksums disabled in cluster\n"
-msgstr "在群集中禁用校验和\n"
\ No newline at end of file
+msgstr "在群集中禁用校验和\n"
diff --git a/src/bin/pg_waldump/po/zh_CN.po b/src/bin/pg_waldump/po/zh_CN.po
index 5aeb92882f7..68daaaba46c 100644
--- a/src/bin/pg_waldump/po/zh_CN.po
+++ b/src/bin/pg_waldump/po/zh_CN.po
@@ -304,4 +304,4 @@ msgstr "在WAL记录中的%X/%X处错误为: %s"
 #: pg_waldump.c:1127
 #, c-format
 msgid "Try \"%s --help\" for more information.\n"
-msgstr "请用 \"%s --help\" 获取更多的信息.\n"
\ No newline at end of file
+msgstr "请用 \"%s --help\" 获取更多的信息.\n"
-- 
2.34.1

